#!/bin/bash
#
# ... jediný a hlavní program ???
#
# tenhle program generuje .tex pro všechy
# listy, jež se oboustranně tisknou ...
#
# ./obRok.sh < Klad.l
# 
# základem je Forma.tex, z níž se sází liché (líc) a sudé (rub)
# stránky; ze sudých mažou se řádky s textem "RUBNE"
# a lichým resp. sudým se předesílá zdroják "HlaLic.tex", "HlaRub.tex"
#

## poslední pondělí starého roku: nutno upravit vždy ručně
## ověřit pomocí programu cykl_test.sh


#########################################################################3
#########################################################################3

Pis () {
	## funkce pro zápis dat do šablony

	t=$1 ; d=$2
		## číslo dne a týdne
	wfile=$3
		## s tímto souborem se právě pracuje

		## některé týdny se ošetří zvláště 
		if [ "$t" == "0" ]  || [ "$t" == "0" ]; then 
		#	#echo $t $d $wfile
			echo "\Fan" > $wfile
		    fi


		ad=$(( 7*($t-1)+($d-1) ))
			## absolutní den (0 = pondělí 29.12.2014)
			#echo $ad

		dm=`LC_TIME=cs_CZ.utf8 date -d '12/26/2016 +'$ad'day' +"%-d.%-m" `
			## datum tohoto dne ve formátu DD.MM (bez nul/mezer)
			##echo $dm

		# sed -i s/TT/$t/ $wfile ... opravit
			## opraveno '16 : cislo tydne dle pondeli 

		    ct=`LC_TIME=cs_CZ.utf8 date -d '12/26/2016 +'$ad'day' +"%V" `
			    ## cislo tydne
		    sed -i s/TT/$ct/ $wfile

		sed -i s/DM$d/$dm./ $wfile
			## sed : správné datum dne

			## zjisti jmeniny
			## složité, protože se jich může najít více
			## pro týž den (např. 24.12 - Adam,Eva)
sv=`grep "\b$dm\b" Jmeniny.csv | cut -d';' -f1 | perl -pe 'chomp if eof' | tr '\n' ',' `
			## echo $sv

			## zjisti státní svátek
st=`grep "\b$dm\b" Statni_svatky.csv | cut -d';' -f1 | perl -pe 'chomp'`

			## barva dne : statni svatek sede,
			## jinak cerne ...
			if [ -n "$st" ]; then
				br="seda"
			else
				br="cern"
			fi

			sed -i "s/BRV$d/$br/" $wfile


			## popiska: st (a/nebo) sv
			if [ -z "$st" ]; then
				pop="$sv"
			elif [ -z "$sv" ]; then
				pop="$st"
			else
				pop="$st - $sv"
			fi

			## echo $pop

		if [ -n "$pop" ]; then
			sed -i "s/SV$d/$pop/" $wfile
		fi

			## faze mesice:
mc=`grep "\b$dm\b" Mesic.csv | cut -d';' -f1 | perl -pe 'chomp'`
			if [ -z "$mc" ]; then
			    	## zadna faze: prazdny mesicni soubor
			    	sed -i "s/MES$d/nil/" $wfile
			else
			    	sed -i "s/MES$d/Moon$mc/" $wfile
			fi

	}

#########################################################################3
#########################################################################3

## citac listu
l=0

while read L; do

 ((l++))
 lfil=L-$l.tex
 	## jméno a číslo souboru, s nímž se zde pracuje

echo $L | { 


	## načte se řádka, a z ní sloupce ...
	## líc a,b / rub a,b
	read la lb ra rb
	#echo $lfil ... $s1+$s2/$r1+$r2


	cp Forma.tex lic.tex
	sed /RUBNE/d Forma.tex > rub.tex

	#############################################
	#### licova strana

		for d in `seq 1 4`; do
			Pis $la $d lic.tex
		done

		for d in `seq 5 7`; do
			Pis $lb $d lic.tex
		done

	#############################################
	#### rubova strana

		for d in `seq 1 4`; do
			Pis $ra $d rub.tex
		done

		for d in `seq 5 7`; do
			Pis $rb $d rub.tex
		done


	#### kompletace zdrojáku k listu:

	cat HlaLic.tex > $lfil
	cat lic.tex >> $lfil
	cat HlaRub.tex >> $lfil
	cat rub.tex >> $lfil



}
done

exit


###########################################################
###########################################################


